Sample code designed to show a bug in KSP

Bug happens in the following case:

1.  Monobehaviour class instantiated with following code:
	 [KSPAddon(KSPAddon.Startup.SpaceCentre, true)] // Determines when plugin starts.
    public class KSPBugDemo : MonoBehaviour

2.  Mod button added, button is NOT supposed to be visible on the main menu:
	const ApplicationLauncher.AppScenes scenes =
                ApplicationLauncher.AppScenes.FLIGHT |
                ApplicationLauncher.AppScenes.MAPVIEW |
                ApplicationLauncher.AppScenes.TRACKSTATION;

            _appLauncherButton = applauncher.AddModApplication(
                ToggleWindow, // onTrue
                ToggleWindow, // onFalse
                () => { }, // onHover
                () => { }, // onHoverOut
                () => { }, // onEnable
                () => { }, // onDisable
                scenes, // visibleInScenes
                 GameDatabase.Instance.GetTexture(TexturePath + "spacetux", false) );

Bug is that the button IS visible on the main menu, at least the first time through.

A fix is in the function:
	 private void FixedUpdate()

which is disabled in the demo.

My best guess is that the button isn't properly initialized when first created in this case
This can be shown by going to any other screen and then returning to the space center, the button 
will be properly hidden at that point